Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003903 [JEDI VCL] 00 JVCL Components crash always 2006-09-14 00:14 2008-01-06 06:01
Reporter torworx View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0003903: TJvPlugin Wizard dosen't work in BDS2006.
Description I can find JvPlugin Wizard in BDS2006 - New Items - Wizards. But it will be show a error message when I new a dll plugin library or bpl plugin package, and then it will close the current project, and create a wrong plugin project.
Additional Information
Tags No tags attached.
Attached Files ? file icon JvPluginWizard.pas [^] (31,481 bytes) 2006-09-23 06:55
? file icon JvPluginWizard.patch [^] (10,905 bytes) 2006-09-23 20:50

- Relationships
has duplicate 0004245resolvedobones Package Based Delphi Programming 

-  Notes
(0010122)
Werewolf (reporter)
2006-09-14 02:06

I have the same problem.
I solved it by creating plugin in Delphi6.
It's not very good solution =)
(0010151)
torworx (reporter)
2006-09-22 07:52

When can it be fixed. We are waiting for the fix. Thanks.
(0010152)
obones (administrator)
2006-09-22 08:42

Well, I'm looking for a solution, but you could also look on your side...
(0010153)
torworx (reporter)
2006-09-22 08:52

OK, When I have free time.
(0010156)
torworx (reporter)
2006-09-23 06:58

It seems that I found the solution, and I uploaded the fixed file -- JvPluginWizard.pas.

Hope this can be helpfull.
(0010157)
obones (administrator)
2006-09-23 09:05

Can you tell me which lines you changed, or better yet, provide a parch file ?

http://homepages.borland.com/jedi/wiki/index.php?title=Create_a_patch_file [^]
(0010159)
torworx (reporter)
2006-09-23 20:53

I wish the file uploaded this time is right. :)
(0010200)
obones (administrator)
2006-09-28 06:31

Well, I tried, and it does not seem to work completely. I no longer get the error about "not being able to find the C++ option", but nothing is created in D2006.
(0010214)
torworx (reporter)
2006-09-28 20:19

Maybe, I didn't make a complete test. I just use Delphi2006, so I only test it in Delphi2006.
(0010216)
obones (administrator)
2006-09-29 01:40

Ah but I tested in BDS 2006 as well, but with all personalities loaded.
(0010217)
torworx (reporter)
2006-09-29 01:47
edited on: 2006-09-29 01:48

Did you make sure that you recompled JvPluginD10D.dpk after apply the JvPluginWizard.patch ?

(0010218)
obones (administrator)
2006-09-29 01:58

Yes absolutely. Before the rebuild, I had an error saying this (approximately):

Cannot find options for CplusplusBuilder.Personality

Now that I have rebuilt, I do not get any error, but the project manager is empty, no new project is created.
(0010220)
torworx (reporter)
2006-09-29 02:23

Well. Can you send me the JvPluginWizard.pas after aplly the patch file, or force use JvPluginWizard.pas I uploaded at 09-23-06 to replace yours to make a test. I'll waiting for the result online.

Email: taoy.cn@gmail.com
MSN: yuantcn@hotmail.com
(0014118)
obones (administrator)
2008-01-06 06:00

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2006-09-14 00:14 torworx New Issue
2006-09-14 00:27 torworx Issue Monitored: torworx
2006-09-14 02:06 Werewolf Note Added: 0010122
2006-09-14 14:28 obones Status new => confirmed
2006-09-22 07:52 torworx Note Added: 0010151
2006-09-22 08:42 obones Note Added: 0010152
2006-09-22 08:52 torworx Note Added: 0010153
2006-09-23 06:55 torworx File Added: JvPluginWizard.pas
2006-09-23 06:58 torworx Note Added: 0010156
2006-09-23 09:05 obones Note Added: 0010157
2006-09-23 20:50 torworx File Added: JvPluginWizard.patch
2006-09-23 20:53 torworx Note Added: 0010159
2006-09-28 06:31 obones Note Added: 0010200
2006-09-28 20:19 torworx Note Added: 0010214
2006-09-29 01:40 obones Note Added: 0010216
2006-09-29 01:47 torworx Note Added: 0010217
2006-09-29 01:48 torworx Note Edited: 0010217
2006-09-29 01:58 obones Note Added: 0010218
2006-09-29 02:23 torworx Note Added: 0010220
2007-09-27 03:00 obones Relationship added has duplicate 0004245
2008-01-06 06:00 obones Status confirmed => resolved
2008-01-06 06:00 obones Fixed in Version => Daily / SVN
2008-01-06 06:00 obones Resolution open => fixed
2008-01-06 06:00 obones Assigned To => obones
2008-01-06 06:00 obones Note Added: 0014118


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker